Subject: Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01

From: Loa Andersson <[email-masked]>
Date: Fri, 01 May 2015 12:58:01 +0200

Mustapha and Andy,

If we are talking about manual configure (manually installed labels),
this is not what is not what is going on in the hard-pipe network.

It is of course possible to run any MPLS network with all or a subset
of the labels manually installed. We did that in 1999 whenm I worked
with a Swedish operator. Awaiting tests and decision on the mix of
signalling protocols we for several months did run our network by
installing all labels manually, we never thought about that as "static",
but I could live with that terminology if we want to use it.

What is going on in the hard-pipe network is a bit different. The NMS
(centralized controller) is configured with a label space per node to
be used for the hard-pipe stratum. The NMS then allocate labels to be
installed on the nodes as a LSP is requested and remove them and returns
them to the pool when the LSP is taken down.

I tend to think about this as dynamic configured labels. Dynamic as
they are installed and removed depending on the life time of the LSPs.
Configured as it is done by the NMS.

Mustapha,

Would "configured labels" cover the concerns you have.

/Loa

On 2015-04-30 15:42, Aissaoui, Mustapha (Mustapha) wrote:
> Thanks Andy for the reference. Indeed, I was referring to assignment of
> initial label and of any subsequent label change of an LSP or a PW by
> configuration. This is sometimes referred to as “manual” configuration
> and the LSP or PW is referred to as static.
>
> That definition fits I believe what is being described in
> draft-hao-mpls-ip-hard-pipe-01 but Loa can confirm.
>
> Regards,
>
> Mustapha.
>
> *From:*Andrew G. Malis [mailto:[email-masked]]
> *Sent:* Thursday, April 30, 2015 8:52 AM
> *To:* Loa Andersson
> *Cc:* Aissaoui, Mustapha (Mustapha); [email-masked]; Nevil Brownlee
> *Subject:* Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01
>
> Loa,
>
> I think the reference that you're looking for is section 3.11 of RFC 5921.
>
> Cheers,
>
> Andy
>
> On Thu, Apr 30, 2015 at 3:41 AM, Loa Andersson <[email-masked]
> <mailto:[email-masked]>> wrote:
>
> Mustapha,
>
> That is still not a definition possible to refrence.
>
> I've always been a bit confused by the distinction between "static" and
> "dynamic", especially when it comes to labels, a bit less so if we talk
> about LSPs.
>
> To me the term  "static" and "dynamic" seems to indicate how long lived
> or how easy they are to change.
>
> If an NMS or any centralized controller instal and remove LSPs/labels
> with the same frequency as e.g. LDP are they still "static"?
>
> I agree that there is a possible classification of "configured
> LSPs/labels" vs. "signaled LSPs/labels".
>
> In that terminology I'd say that draft-hao-mpls-ip-hard-pipe uses
> configured labels.
>
> Would that terminology be acceptable for you?
>
> /Loa
>
>
>
> On 2015-04-29 19:26, Aissaoui, Mustapha (Mustapha) wrote:
>
> Hi Loa,
> By static label, I meant a label which is assigned to a LSP or a PW by
> configuration and not by a control plane protocol. I believe this is
> what is being described in this draft but let me know if I am wrong.
>
> Regards,
> Mustapha.
>
> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked] <mailto:[email-masked]>]
> Sent: Wednesday, April 29, 2015 3:21 AM
> To: Aissaoui, Mustapha (Mustapha); [email-masked] <mailto:[email-masked]>
> Cc: Nevil Brownlee
> Subject: Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01
>
> Mustapha,
>
> in line please.
>
> On 2015-04-28 18:01, Aissaoui, Mustapha (Mustapha) wrote:
>
> Dear all,
> I was asked to review this draft which is intended to be handled in the
>
> Independent Stream. Below are my comments to the authors.
>
>
> Members of this list can also provide comments to the authors. Please
> copy the
>
> Independent Submission Editorial Board at the following address:
>
> [email-masked] <mailto:[email-masked]>
>
> Regards,
> Mustapha.
> ----------------------------
> https://tools.ietf.org/html/draft-hao-mpls-ip-hard-pipe-01
>
> 1. Overall comment:
> This document describes how a guaranteed bandwidth service can be deployed
>
> in a MPLS network by partitioning the network resources into two managed
> layers,
> referred to as strata. The  guaranteed service layer is referred to as
> "Hard Pipe"
> stratum.
>
>
> The management of the resources and the placement of the MPLS tunnels and
>
> services into the  "Hard Pipe" stratum are performed with a management
> system.
> Thus the transport and service labels are static but this important
> information has
> not been stated upfront in the document.
>
> Do you have a a definition of "static labels" that we can refer to?
>
> /Loa
> Only in section 6 that MPLS-TP was mentioned. Furthermore, the reference
> to T-
> LDP signaled labels in Section 3 adds to the confusion.
>
>     I propose that the Introduction and Scope sections be explicit about the
>
> framework used to achieve the "Hard Pipe" stratum, that is by means of a
> management system and static transport and service labels.
>
>
> In fact, I would think the document value would be in describing more
> details of
>
> the framework including configuration aspects, resource and service
> management
> including resilience. These aspects have not been sufficiently addressed
> and the
> focus was more on how to use MPLS labels to differentiate the two strata.
>
>
> 2. Section 1.1 - Scope:
> As part of the second bullet, I cannot find in the document how a router
> protects
>
> the traffic of the "Hard Pipe" stratum if the "Normal IP/MPLS" stratum
> overbooks a
> link. Having a separate label for the guaranteed service is not
> sufficient. The
> authors should describe if LSP pre-emption and/or QoS markings are used to
> differentiate the treatment across the strata.
>
>
> 3. Section 3:
> If the document objective is to describe the framework used, then this
> section
>
> should begin by explaining the initial configuration performed by the
> NMS to lay
> the ground for the building of the two stratums. This includes the
> partitioning of the
> links, the assignment of transport and service label ranges in the
> routers, the
> overbooking strategy, etc.
>
>
> Then, you can discuss how a guaranteed service is configured in the network
>
> using static transport labels and static service labels. This should
> cover the
> placement of the working and backup paths since Section 6 mentions MPLS-TP
> protection is used.
>
>
> Next, a description of how the transport LSP and service are monitored for
>
> continuity and defects.
>
>
> Finally, the behavior when resources are overbooked and what services
> are pre-
>
> empted or degraded should be described.
>
> ------------------------------------
>
> _______________________________________________
> mpls mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/mpls
>
>
> --
>
>
> Loa Andersson                        email: [email-masked]
> <mailto:[email-masked]>
> Senior MPLS Expert [email-masked] <mailto:[email-masked]>
> Huawei Technologies (consultant)     phone: +46 739 81 21 64
> <tel:%2B46%20739%2081%2021%2064>
>
>
> --
>
>
> Loa Andersson                        email: [email-masked]
> <mailto:[email-masked]>
> Senior MPLS Expert [email-masked] <mailto:[email-masked]>
> Huawei Technologies (consultant)     phone: +46 739 81 21 64
> <tel:%2B46%20739%2081%2021%2064>
>
> _______________________________________________
> mpls mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/mpls
>

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Andrew G. Malis" <[email-masked]>
Date: Fri, 1 May 2015 09:36:57 -0400

Loa,

Those are exactly "static" labels as we've defined them for MPLS-TP, as
they aren't being installed by a dynamic control plane on the routers (LDP
or RSVP-TE). See the text in section 3.11 of RFC 5921:

   A PW or LSP may be statically configured without the support of a
   dynamic control plane.  This may be either by direct configuration of
   the PEs/LSRs or via a network management system.

Cheers,
Andy

---

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Fri, 1 May 2015 13:40:59 +0000

Hi Loa,
I am fine with "configured labels" or maybe "labels assigned and reclaimed by configuration".

Having said that, one of my comments on the draft was to explain how the labels were actually managed and assigned/reclaimed to/from routers over time. From you description below, it seems the NMS first reserves a common range of labels *available on all routers* for this application. Once reserved, no other control plane protocol on any router can use a label from this range even if the label is available. That way, the NMS management of the labels will not clash with the control plane protocols on any of the routers.

Regards,
Mustapha.

> From: Loa Andersson [mailto:[email-masked]]
> Sent: Friday, May 01, 2015 6:58 AM
> To: Aissaoui, Mustapha (Mustapha); Andrew G. Malis
> Cc: [email-masked]; Nevil Brownlee
> If we are talking about manual configure (manually installed labels), this is not what
> is not what is going on in the hard-pipe network.
> 
> It is of course possible to run any MPLS network with all or a subset of the labels
> manually installed. We did that in 1999 whenm I worked with a Swedish operator.
> Awaiting tests and decision on the mix of signalling protocols we for several
> months did run our network by installing all labels manually, we never thought
> about that as "static", but I could live with that terminology if we want to use it.
> 
> What is going on in the hard-pipe network is a bit different. The NMS (centralized
> controller) is configured with a label space per node to be used for the hard-pipe
> stratum. The NMS then allocate labels to be installed on the nodes as a LSP is
> requested and remove them and returns them to the pool when the LSP is taken
> down.
> 
> I tend to think about this as dynamic configured labels. Dynamic as they are
> installed and removed depending on the life time of the LSPs.
> > Thanks Andy for the reference. Indeed, I was referring to assignment
> > of initial label and of any subsequent label change of an LSP or a PW
> > by configuration. This is sometimes referred to as “manual”
> > configuration and the LSP or PW is referred to as static.
> >
> > I've always been a bit confused by the distinction between "static"
> > and "dynamic", especially when it comes to labels, a bit less so if we
> > talk about LSPs.
> >
> > To me the term  "static" and "dynamic" seems to indicate how long
> > lived or how easy they are to change.
> >
> > in a MPLS network by partitioning the network resources into two
> > managed layers, referred to as strata. The  guaranteed service layer
> > is referred to as "Hard Pipe"
> > stratum.
> >
> >
> > information has not been stated upfront in the document.
> >
> > Only in section 6 that MPLS-TP was mentioned. Furthermore, the
> > reference to T- LDP signaled labels in Section 3 adds to the
> > confusion.
> >
> > framework used to achieve the "Hard Pipe" stratum, that is by means of
> > a management system and static transport and service labels.
> >
> >
> > management including resilience. These aspects have not been
> > sufficiently addressed and the focus was more on how to use MPLS
> > labels to differentiate the two strata.
> >
> >
> > 2. Section 1.1 - Scope:
> > As part of the second bullet, I cannot find in the document how a
> > router protects
> >
> > overbooks a link. Having a separate label for the guaranteed service
> > is not sufficient. The authors should describe if LSP pre-emption
> > and/or QoS markings are used to differentiate the treatment across the
> > strata.
> >
> >
> > 3. Section 3:
> > NMS to lay the ground for the building of the two stratums. This
> > includes the partitioning of the links, the assignment of transport
> > and service label ranges in the routers, the overbooking strategy,
> > etc.
> >
> >
> > cover the placement of the working and backup paths since Section 6
> > mentions MPLS-TP protection is used.
> >
> >

---

From: Loa Andersson <[email-masked]>
Date: Sat, 02 May 2015 10:49:09 +0200

Andy,

So you say that even though the labels in draft-hao-mpls-ip-hard-pipe
are dynamically allocated we should call them "static", because that is
how we defined them for MPLS-TP.

Could you accept the terminology that Mustapha and I seems to be
converging on:

Configured labels - labels that are assigned and reclaimed by
                      configuration.

I think I prefer that we cahnge "assigned" for "installed", but for now
that is not important.

/Loa

On 2015-05-01 15:36, Andrew G. Malis wrote:
> they aren't being installed by a dynamic control plane on the routers
> (LDP or RSVP-TE). See the text in section 3.11 of RFC 5921:
>
> On Fri, May 1, 2015 at 6:58 AM, Loa Andersson <[email-masked]
>         *From:*Andrew G. Malis [mailto:[email-masked]
>         <mailto:[email-masked]>]
>         *Cc:* Aissaoui, Mustapha (Mustapha); [email-masked]
>         <mailto:[email-masked]>; Nevil Brownlee
>         <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>
>         Mustapha,
>
>         From: Loa Andersson [mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>]
>         To: Aissaoui, Mustapha (Mustapha); [email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>         Cc: Nevil Brownlee
>         <mailto:[email-masked] <mailto:[email-masked]>>
>
>
>         Regards,
>         Mustapha.
>         managed
>         reference
>         [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>
>         Loa Andersson                        email:
>         [email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>
>         <mailto:[email-masked] <mailto:[email-masked]>>
>         Loa Andersson                        email:
>         [email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>
>         <mailto:[email-masked] <mailto:[email-masked]>>
>         [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>

--

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sat, 2 May 2015 09:54:47 -0400

Loa,

Sure, that works for me too. A good word to use instead of "installed" is
"provisioned".

Cheers,
Andy

---

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Sat, 2 May 2015 15:22:42 +0000

Andy and Loa,
I am good either way.

Mustapha.
Sent from my Blackberry!

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Saturday, May 02, 2015 09:54 AM
To: Loa Andersson <[email-masked]>
Cc: Aissaoui, Mustapha (Mustapha); [email-masked] <[email-masked]>; Nevil Brownlee <[email-masked]>
Subject: Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01

Loa,

Sure, that works for me too. A good word to use instead of "installed" is "provisioned".

Cheers,
Andy

On Sat, May 2, 2015 at 4:49 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:
Andy,

/Loa

Cheers,
Andy

On Fri, May 1, 2015 at 6:58 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>
<mailto:[email-masked]<mailto:[email-masked]>>> wrote:

    Mustapha and Andy,

    Mustapha,

    /Loa

        Thanks Andy for the reference. Indeed, I was referring to
        assignment of
        initial label and of any subsequent label change of an LSP or a
        PW by
        configuration. This is sometimes referred to as “manual”
        configuration
        and the LSP or PW is referred to as static.

        Regards,

        Mustapha.

        *From:*Andrew G. Malis [mailto:[email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>>]
        *Sent:* Thursday, April 30, 2015 8:52 AM
        *To:* Loa Andersson
        *Cc:* Aissaoui, Mustapha (Mustapha); [email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>>; Nevil Brownlee
        *Subject:* Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01

        Loa,

        I think the reference that you're looking for is section 3.11 of
        RFC 5921.

        Cheers,

        Andy

        On Thu, Apr 30, 2015 at 3:41 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:

        Mustapha,

        I've always been a bit confused by the distinction between
        "static" and
        "dynamic", especially when it comes to labels, a bit less so if
        we talk
        about LSPs.

        To me the term  "static" and "dynamic" seems to indicate how
        long lived
        or how easy they are to change.

        If an NMS or any centralized controller instal and remove
        LSPs/labels
        with the same frequency as e.g. LDP are they still "static"?

        /Loa

        Hi Loa,
        By static label, I meant a label which is assigned to a LSP or a
        PW by
        configuration and not by a control plane protocol. I believe this is
        what is being described in this draft but let me know if I am wrong.

        Regards,
        Mustapha.

        -----Original Message-----
        From: Loa Andersson [mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>]
        Sent: Wednesday, April 29, 2015 3:21 AM
        To: Aissaoui, Mustapha (Mustapha); [email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
        Cc: Nevil Brownlee
        Subject: Re: [mpls] Review of draft-hao-mpls-ip-hard-pipe-01

        Mustapha,

        in line please.

        Dear all,
        I was asked to review this draft which is intended to be handled
        in the

        Members of this list can also provide comments to the authors.
        Please
        copy the

        [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>

        Regards,
        Mustapha.

        1. Overall comment:
        This document describes how a guaranteed bandwidth service can
        be deployed

        in a MPLS network by partitioning the network resources into two
        managed
        layers,
        referred to as strata. The  guaranteed service layer is referred
        to as
        "Hard Pipe"
        stratum.

        The management of the resources and the placement of the MPLS
        tunnels and

        services into the  "Hard Pipe" stratum are performed with a
        management
        system.
        Thus the transport and service labels are static but this important
        information has
        not been stated upfront in the document.

        /Loa

             I propose that the Introduction and Scope sections be
        explicit about the

        framework used to achieve the "Hard Pipe" stratum, that is by
        means of a
        management system and static transport and service labels.

        In fact, I would think the document value would be in describing
        more
        details of

        the framework including configuration aspects, resource and service
        management
        including resilience. These aspects have not been sufficiently
        addressed
        and the
        focus was more on how to use MPLS labels to differentiate the
        two strata.

        2. Section 1.1 - Scope:
        As part of the second bullet, I cannot find in the document how
        a router
        protects

        the traffic of the "Hard Pipe" stratum if the "Normal IP/MPLS"
        stratum
        overbooks a
        link. Having a separate label for the guaranteed service is not
        sufficient. The
        authors should describe if LSP pre-emption and/or QoS markings
        are used to
        differentiate the treatment across the strata.

        3. Section 3:
        If the document objective is to describe the framework used,
        then this
        section

        should begin by explaining the initial configuration performed
        by the
        NMS to lay
        the ground for the building of the two stratums. This includes the
        partitioning of the
        links, the assignment of transport and service label ranges in the
        routers, the
        overbooking strategy, etc.

        Then, you can discuss how a guaranteed service is configured in
        the network

        using static transport labels and static service labels. This should
        cover the
        placement of the working and backup paths since Section 6
        mentions MPLS-TP
        protection is used.

        Next, a description of how the transport LSP and service are
        monitored for

        continuity and defects.

        Finally, the behavior when resources are overbooked and what
        services
        are pre-

        _______________________________________________
        mpls mailing list
        [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>>>
        https://www.ietf.org/mailman/listinfo/mpls

        --

        Loa Andersson                        email:
        [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
        Senior MPLS Expert [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
        Huawei Technologies (consultant)     phone: +46 739 81 21 64<tel:%2B46%20739%2081%2021%2064>
        <tel:%2B46%20739%2081%2021%2064>
        <tel:%2B46%20739%2081%2021%2064>

        --

        Loa Andersson                        email:
        [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
        Senior MPLS Expert [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
        <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
        Huawei Technologies (consultant)     phone: +46 739 81 21 64<tel:%2B46%20739%2081%2021%2064>
        <tel:%2B46%20739%2081%2021%2064>
        <tel:%2B46%20739%2081%2021%2064>

        _______________________________________________
        mpls mailing list
        [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
        <mailto:[email-masked]<mailto:[email-masked]>>>
        https://www.ietf.org/mailman/listinfo/mpls

    --

    Loa Andersson                        email: [email-masked]<mailto:[email-masked]>
    <mailto:[email-masked]<mailto:[email-masked]>>
    Senior MPLS Expert [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
    Huawei Technologies (consultant)     phone: +46 739 81 21 64<tel:%2B46%20739%2081%2021%2064>
    <tel:%2B46%20739%2081%2021%2064>

--

Loa Andersson                        email: [email-masked]<mailto:[email-masked]>
Senior MPLS Expert                          [email-masked]<mailto:[email-masked]>
Huawei Technologies (consultant)     phone: +46 739 81 21 64<tel:%2B46%20739%2081%2021%2064>

---

From: Loa Andersson <[email-masked]>
Date: Sun, 03 May 2015 08:42:28 +0200

Andy,

Tnx - I have a question about "provisioned". I think "provisioning" is
the activity both to install and remove labels, right?

Does "provisioned" mean both also, or just install?

/Loa

On 2015-05-02 15:54, Andrew G. Malis wrote:
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>; Nevil
>         Brownlee
>                  On Thu, Apr 30, 2015 at 3:41 AM, Loa Andersson
>         <[email-masked] <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>> wrote:
>
>                  Mustapha,
>
>                  From: Loa Andersson [mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>                  <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>
>         <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>>
>                  Cc: Nevil Brownlee
>                  <mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>
>
>
>
>                  Regards,
>                  Mustapha.
>         <mailto:[email-masked]>> <mailto:[email-masked] <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>
>                  <mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>
>                  <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>
>                  Huawei Technologies (consultant)     phone: +46 739 81
>         21 64 <tel:%2B46%20739%2081%2021%2064>
>                  <mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>
>                  <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>
>                  Huawei Technologies (consultant)     phone: +46 739 81
>         21 64 <tel:%2B46%20739%2081%2021%2064>
>         <mailto:[email-masked]>> <mailto:[email-masked] <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>
>              Huawei Technologies (consultant)     phone: +46 739 81 21
>         64 <tel:%2B46%20739%2081%2021%2064>

--

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sun, 3 May 2015 10:00:06 -0400

Loa,

It's both, basically any change to the network equipment from an NMS. Not
much difference from "configured" or "installed", but to me the latter
terms are more related to the long-term configuration, such as installing
or removing interfaces, while provisioning is more short-term.

Cheers,
Andy

On Sun, May 3, 2015 at 2:42 AM, Loa Andersson <[email-masked]> wrote:

>>              <mailto:[email-masked] <mailto:[email-masked]
>> >>

---

From: Huub van Helvoort <[email-masked]>
Date: Sun, 03 May 2015 18:41:31 +0200

Hello Andy,

You wrote:

> It's both, basically any change to the network equipment from an NMS.

I agree.

> Not much difference from "configured" or "installed", but to me the
> latter terms are more related to the long-term configuration, such as
> installing or removing interfaces, while provisioning is more short-term.

Indeed. A connection or service is provisioned.
An interface or hardware unit is installed and/or configured.

Best regards, Huub.

> On Sun, May 3, 2015 at 2:42 AM, Loa Andersson <[email-masked]
>         Sure, that works for me too. A good word to use instead of
>         "installed"
>         is "provisioned".
>
>         Cheers,
>         Andy
>
>         On Sat, May 2, 2015 at 4:49 AM, Loa Andersson <[email-masked]
>         <mailto:[email-masked]>
>                  they aren't being installed by a dynamic control plane
>         on the
>                  routers
>                  On Fri, May 1, 2015 at 6:58 AM, Loa Andersson
>                       this is not what is not what is going on in the
>         hard-pipe
>                  network.
>
>                       It is of course possible to run any MPLS network
>         with all
>                  or a subset
>                       of the labels manually installed. We did that in
>         1999 whenm
>                  I worked
>                       with a Swedish operator. Awaiting tests and
>         decision on the
>                  mix of
>                       installing all labels manually, we never thought
>         about that
>                  as "static",
>                       (centralized controller) is configured with a
>         label space
>                  per node to
>                       be used for the hard-pipe stratum. The NMS then
>         allocate
>                  labels to be
>                       installed on the nodes as a LSP is requested and
>         remove
>                  them and returns
>                       I tend to think about this as dynamic configured
>         labels.
>                  Dynamic as
>                       they are installed and removed depending on the
>         life time
>                  of the LSPs.
>                           initial label and of any subsequent label
>         change of an
>                  LSP or a
>                           PW by
>                           *From:*Andrew G. Malis
>         [mailto:[email-masked] <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>
>                           <mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>>]
>                           *Cc:* Aissaoui, Mustapha (Mustapha);
>         <mailto:[email-masked] <mailto:[email-masked]>>>; Nevil
>                  Brownlee
>                  <[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>         <mailto:[email-masked]>>
>                           <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>>>
>                           <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>>> wrote:
>
>                           Mustapha,
>
>                           "dynamic", especially when it comes to labels,
>         a bit
>                  less so if
>                           we talk
>                           about LSPs.
>
>                           By static label, I meant a label which is
>         assigned to a
>                  LSP or a
>                           PW by
>                           configuration and not by a control plane
>         protocol. I
>                  believe this is
>                           what is being described in this draft but let
>         me know
>                  if I am wrong.
>
>                           Regards,
>                           Mustapha.
>
>                  <mailto:[email-masked] <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>
>                           <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>>]
>         <mailto:[email-masked] <mailto:[email-masked]>>>>
>                           Cc: Nevil Brownlee
>                           I was asked to review this draft which is
>         intended to
>                  be handled
>                           in the
>
>                           Members of this list can also provide comments
>         to the
>                  authors.
>                           Please
>                           copy the
>
>                           Independent Submission Editorial Board at the
>         following
>                  address:
>
>         <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>>>>
>
>
>
>                           Regards,
>                           Mustapha.
>                           in a MPLS network by partitioning the network
>         resources
>                  into two
>                           managed
>                           layers,
>                           referred to as strata. The  guaranteed service
>         layer is
>                  referred
>                           to as
>                           "Hard Pipe"
>                           stratum.
>
>
>                           The management of the resources and the
>         placement of
>                  the MPLS
>                           tunnels and
>
>                           Thus the transport and service labels are
>         static but
>                  this important
>                           information has
>                           Do you have a a definition of "static labels"
>         that we
>                  can refer to?
>
>                           /Loa
>                           framework used to achieve the "Hard Pipe"
>         stratum, that
>                  is by
>                           means of a
>                           In fact, I would think the document value
>         would be in
>                  describing
>                           more
>                           details of
>
>                           the framework including configuration aspects,
>         resource
>                  and service
>                           management
>                           the traffic of the "Hard Pipe" stratum if the
>         "Normal
>                  IP/MPLS"
>                           stratum
>                           overbooks a
>                           authors should describe if LSP pre-emption
>         and/or QoS
>                  markings
>                           are used to
>                           If the document objective is to describe the
>         framework
>                  used,
>                           then this
>                           section
>
>                           should begin by explaining the initial
>         configuration
>                  performed
>                           by the
>                           NMS to lay
>                           the ground for the building of the two
>         stratums. This
>                  includes the
>                           partitioning of the
>                           links, the assignment of transport and service
>         label
>                  ranges in the
>                           routers, the
>                           Finally, the behavior when resources are
>         overbooked and
>                  what
>                           services
>                           are pre-
>
>         <mailto:[email-masked] <mailto:[email-masked]>>>>
>         <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>>>>
>                           <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>>
>         <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>>>>
>                           <mailto:[email-masked] <mailto:[email-masked]>
>         <mailto:[email-masked] <mailto:[email-masked]>> <mailto:[email-masked]
>         <mailto:[email-masked]>
>                  <mailto:[email-masked] <mailto:[email-masked]>>>>
>         <mailto:[email-masked] <mailto:[email-masked]>>>>
> [email-masked]

-- 
*****************************************************************
               请记住，你是独一无二的，就像其他每一个人一样